ldapsetpasswd(1)

NAME
ldapsetpasswd - modifies a POSIX user account's password in LDAP.

SYNOPSIS
ldapsetpasswd <username|uid> [encodedpassword]

OPTIONS

<username | uid>
    The name or uid of the user whose password has to be modified.

[encoded password]
    If specified this way, the password will be copied verbatim into the LDAP directory. If not specified, you will be prompted for a password that will be changed using the ldappasswd(1) command.

SEE ALSO
ldapfinger(1), ldapid(1), ldapgid(1), ldapscripts(5).

AVAILABILITY
The ldapscripts are provided under the GNU General Public License v2 (see COPYING for more details). The latest version of the ldapscripts is available on : http://contribs.martymac.org

LIMITATIONS
When used interactively, passwords generated with this command are propagated with the ldappasswd(1) command. Thus, the resulting format depends on the 'password-hash' option of your server's slapd.conf(5) file.

You can always force an encoded password (using the hash format of your choice) by specifying it on the command line.

BUGS
No bug known.